
// testDocView.cpp : implementation of the CtestDocView class
//

#include "stdafx.h"
// SHARED_HANDLERS can be defined in an ATL project implementing preview, thumbnail
// and search filter handlers and allows sharing of document code with that project.
#ifndef SHARED_HANDLERS
#include "testDoc.h"
#endif

#include "testDocDoc.h"
#include "testDocView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CtestDocView

IMPLEMENT_DYNCREATE(CtestDocView, CView)

BEGIN_MESSAGE_MAP(CtestDocView, CView)
	ON_WM_CONTEXTMENU()
	ON_WM_RBUTTONUP()
END_MESSAGE_MAP()

// CtestDocView construction/destruction

CtestDocView::CtestDocView()
{
	// TODO: add construction code here

}

CtestDocView::~CtestDocView()
{
}

BOOL CtestDocView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CView::PreCreateWindow(cs);
}

// CtestDocView drawing

void CtestDocView::OnDraw(CDC* /*pDC*/)
{
	CtestDocDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	if (!pDoc)
		return;

	// TODO: add draw code for native data here
}

void CtestDocView::OnRButtonUp(UINT /* nFlags */, CPoint point)
{
	ClientToScreen(&point);
	OnContextMenu(this, point);
}

void CtestDocView::OnContextMenu(CWnd* /* pWnd */, CPoint point)
{
#ifndef SHARED_HANDLERS
	theApp.GetContextMenuManager()->ShowPopupMenu(IDR_POPUP_EDIT, point.x, point.y, this, TRUE);
#endif
}


// CtestDocView diagnostics

#ifdef _DEBUG
void CtestDocView::AssertValid() const
{
	CView::AssertValid();
}

void CtestDocView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CtestDocDoc* CtestDocView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CtestDocDoc)));
	return (CtestDocDoc*)m_pDocument;
}
#endif //_DEBUG


// CtestDocView message handlers


void CtestDocView::OnInitialUpdate()
{
	CView::OnInitialUpdate();

	// TODO: Add your specialized code here and/or call the base class

	CtestDocDoc* pDoc = GetDocument();

	CString str = _T("test");

	bool bVal[4];

	bVal[0] = false;
	bVal[1] = true;
	bVal[2] = true;
	bVal[3] = false;

	pDoc->m_mapTest.insert(pair<CString, bool*> (str, bVal));
 }
