
// testDocView.h : interface of the CtestDocView class
//

#pragma once


class CtestDocView : public CView
{
protected: // create from serialization only
	CtestDocView();
	DECLARE_DYNCREATE(CtestDocView)

// Attributes
public:
	CtestDocDoc* GetDocument() const;

// Operations
public:

// Overrides
public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:

// Implementation
public:
	virtual ~CtestDocView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	afx_msg void OnFilePrintPreview();
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	DECLARE_MESSAGE_MAP()
public:
	virtual void OnInitialUpdate();
};

#ifndef _DEBUG  // debug version in testDocView.cpp
inline CtestDocDoc* CtestDocView::GetDocument() const
   { return reinterpret_cast<CtestDocDoc*>(m_pDocument); }
#endif

